运维开发网

在Deepin 20终端中提示第1行中的类别“’deb”无法识别的解决

运维开发网 https://www.qedev.com 2021-01-21 10:00 出处:深度站 作者:soyomaker
在Deepin 20系统中升级了Linux内核,完成后在终端中运行sudo apt upgrade命令却出来提示E:软件源列表/etc/apt/sources.list.d/xanmod-kernel.list第1行中的类别deb无法识别,E:无法读取源列表。完全没法

在Deepin 20系统中升级了Linux内核,完成后在终端中运行sudo apt upgrade命令却出来提示E:软件源列表/etc/apt/sources.list.d/xanmod-kernel.list第1行中的类别“’deb”无法识别,E:无法读取源列表。完全没法用apt命令,这时不能安装软件,也不能卸载软件。

在Deepin 20终端中提示第1行中的类别“’deb”无法识别的解决

 

解决方法

列表的内容如下图:

在Deepin 20终端中提示第1行中的类别“’deb”无法识别的解决

如上图所示,不要加上单引号,需要屏蔽就在最前面deb加#键。或者删掉这一行,当然不想删除就注释掉,#开头就可以注释一行,这等同于删除,等于是失效了。

经查,确实是由单引号引起的问题,从来没有修改过这个文件,也不知道为什么会发生这种事情,就是升级Linux内核之后才出现的错误提示,我删掉单引号之后,就正常了。

注:不用xanmod的方式升级内核应该就不会有如此问题了,参考Deepin/UOS及Debian类衍生系统中用xanmod升级Linux内核。如果要升级内核,可参考以下方法。

 

附:在Deepin 20下升级内核的方法

进入:https://kernel.ubuntu.com/~kernel-ppa/mainline/,选择需要升级的内核版本,进入到该内核的目录中,然后下载4个文件:一个有all的文件,3个带有generic的文件,或者3个带有low-latency的文件。它们二者的区别大概是跟电脑配置有关,前者选配比较新的电脑,后来对老电脑兼容比较好,也可以都下载下来,这样两个内核都安装好,在启动时可以手工选择,前述下载的文件放在一个文件夹内,名称尽量不要用汉字。

在该文件夹内打开终端,依次输入(提示输入密码时,按提示操作即可):

sudo su

dpkg -i Linux*.deb

然后会进入安装过程,安装结束后重启电脑,在启动界面可以进入查看内核情况,直接启动的话优先进入新内核。

注:以上手动升级可以选择需要的内核版本,而经过添加xanmod或者app4deepin内核仓库的只能安装仓库的内核版本。

 

扫码领视频副本.gif

0

精彩评论

暂无评论...
验证码 换一张
取 消

关注公众号